const util = require('../../../utils/utils.js')
Page({
  data: {
    phone: [],
    time: wx.getStorageSync('home').customer_service_time,
    kefu:false,
    showOnlinePhone: wx.getStorageSync('home').setting,
  },
  onLoad: function (options) {
    var phones = wx.getStorageSync('home').customer_service_phone
    this.setData({
      phone: this.data.phone.concat(phones)
    })
  },
  contact(){
    this.setData({kefu:true})
  },
  hidden(){
    this.setData({kefu:false})
  },
  skip(e) {
    console.log(e.currentTarget.dataset.show);
    let idx = e.currentTarget.dataset.show
    if (idx == 2) { //日租车与分时租赁区别
      wx.navigateTo({
        url: '/pages/accounting_rules/accounting_rules'
      })
    } else if (idx == 10) {
      wx.navigateTo({
        url: '/pages/personal/privacy/privacy'
      })
    } else {
      wx.navigateTo({
        url: '/pages/personal/helpDetail/helpDetail?show=' + idx
      })
    }
  },
  phone1: util.throttle(function (e) {
    var phone = this.data.phone[0];
    if(phone!==''&&phone!==undefined){
      wx.makePhoneCall({
        phoneNumber: phone,
      })
    }else{
      wx.makePhoneCall({
        phoneNumber:"037163211915",
      })
    }
  }, 1000),
  onReady: function () {

  },
  onShow: function () {
    this.setData({
      time: wx.getStorageSync('home').customer_service_time
    })
  },
  onHide: function () {

  },
  onUnload: function () {

  },
  onPullDownRefresh: function () {

  },
  onReachBottom: function () {

  }
})